IWFR Help


About IWFR Help


Conventions

The typographic conventions used in this help are described below.

Convention | Description
Bold | Used to denote components of the user interface such as buttons, field names, menus, and menu options. For example, the New button.
Menu...MenuOption | Select the menu from the menu bar then select the menu option from the menu. For example, File...Open would mean to select the File menu and then the Open option.
CAPS | Used to denote the name of a key on the keyboard. For example, the ENTER key.
Italics | Used to denote emphasis, captions and the result of an action in a procedure.


Contact Us

General enquiries on the IWFR for DigitalMicropraph should be sent to:

HREM Research Inc.
14-48 Matsukazedai
Higashimatsuyama
Saitama 355-0055
Japan

email:
Website:

support@hremresearch.com
http://www.hremresearch.com/

Enquiries on the IWFR algorithm of a technical nature should be directed to:

Dr. L. J. Allen
University of Melbourne
Australia

email:

lja@physics.unimelb.edu.au


Copyright Statements

© Copyright 2005 HREM Research Inc.

All rights reserved. This manual is protected by international copyright laws and treaties. Unauthorized reproduction and distribution of this manual, or any portion of it, will be prosecuted to the maximum extent possible and may result in severe civil and criminal penalties.

Portions of this document were prepared by HREM Research Inc. by editing the materials supplied by Dr. L.J. Allen.

DigitalMicrograph is a trade mark of Gatan Inc.


Introduction to IWFR


What is IWFR?

IWFR stands for Iterative Wave Function Reconstruction, a method that works with a through focal series of HREM images to reconstruct a wave function at the specimen exit surface. Satisfactory results can be obtained with around requires five images. Using the wave function obtained you can correct optical aberrations such as spherical aberration.

The IWFR method is in the spirit of the Gerchberg-Saxton algorithm (which used a measured image intensity and the diffraction intensity to retrieve the complex exit surface wave function). Contrary to this, the IWFR uses a set of image intensities measured at different planes (a through-focal series of images) to reconstruct the complex wave at the specimen exit surface (at the zero-defocus plane).

Details of the IWFR algorithm can be found in the following paper: L.J. Allen, W. McBride, N.L. O'Leary and M.P. Oxley: Exit wave reconstruction at atomic resolution. Ultramicroscopy 100 (2004) 91-104.


Summary of the IWFR method

The IWFR method is comprised of iterative cycles of backward-propagation, averaging, forward-propagation and replacing wave function amplitudes as schematically shown below. The details of the each step are explained below, and the flow chart of the process is summarized schematically in Figure 1.

(1) | Start with a through focal series comprising N experimental images, with the intensity in each plane n denoted by In(r). Seed the algorithm by guessing a phase for the wave function in each of these planes. In practice we set [image] for all r in each plane n, where the superscript denotes the first (j = 1) iteration.
(2) | Construct the wave functions
(3) | Take a Fourier transform of the wave function in each plane to obtain [image] and propagate to the nominal exit surface plane [image] while also correcting for aberrations in the imaging system. Propagation proceeds via
 | where [image] is the wave function at [image] propagated from plane n.
(4) | Construct the average wave function
(5) | Propagate [image] to each of the N experimental image planes to obtain [image] , the estimated wave functions in momentum space.
(6) | Take an inverse Fourier transform of [image] to construct an estimated real space wave function [image] in each plane.
(7) | Calculate a sum-squared-error (SSE) in each experimental plane using
 | The summations are over all pixels in each image.
(8) | Calculate the average
(9) | If j > 1 and [image] , where [image] is an appropriately chosen convergence parameter, then the wave function reconstruction is complete and the solution is given by the inverse Fourier transform of [image] . Otherwise set [image] and return to step (2) for iteration j+1.


Appendix: Focal series generation in the presence of partial coherence

We define the exit surface wave function as
(1) | ,
where [image] is the intensity at the exit surface, [image] is the phase and r is a vector perpendicular to the optical axis. The subscript 0 denotes the exit surface. The momentum space wave function is given by
(2) | ,
where F denotes the Fourier transform and qis the momentum space variable conjugate to r.The diffractogram formed by propagation to the [image] plane is given by
(3) | ,
where the transmission cross coefficient for the [image] plane takes the usual form
(4) | ,
The transfer function of the optical system is defined by
(5) | ,
where [image] is a top hat function describing the objective aperture. Considering only defocus [image] (positive for overfocus) and third order spherical aberration described by the coefficient [image] we have
(6) | ,
where λ is the wavelength of the incident electrons. The spatial and temporal coherence envelope functions are given by
(7) |
and
(8) |
respectively, with β the beam convergence semi-angle and Δ the defocus spread (1/e values). For the IWFR method we approximate Eq. (4) above by
(9) |
where [image] is defined in Eq. (5),
(10) |
and
(11) |
This allows propagation via
(12) |


How to Create an IWFR Project

Projects and Images

An IWFR project is made from a series of images taken from a particular sample. These images are called through-focus images. A project must normally contain about five images taken directly from the sample. The defocus distance between them must be the same.

The images of the project should be aligned using the Alignment command before launching the IWFR command to reconstruct an exit wave from the sample.

How to Prepare Images

You can use the images obtained directly from your electron microscope for on-line processing or the images previously acquired and saved on the disk for off-line processing.

On-line processing
Capture images directly from your electron microscope using Gatan's CCD camera (see Acquire Images...).

Off-line processing
Open the existing image files, which can be opened or imported with DigitalMicropraph (see Setup Images...)


The IWFR Menu

The options in the IWFR menu are described below.

Option | Description
Acqure Images... | Acquires through-focus images using Gatan CCD
Setup Project Image from | Set up a project image (stacked image) from already acquired through-focus images or a stacked image
Replace Dud Pixels | Replaces bad (defective) pixel values
Alignment... | Aligns a project image.
IWFR... | Executes the IWFR algorithm.
Minimum Amplitude WF... | Finds a wave function with minimum amplitude modulation
Aberration Corrector | Opens Aberration Corrector window (if not opened).
Simulate Images... | Simulate through-focus images from an exit surface wave function.
Extract Images | Extracts all component images from a project
Extract Current Slice | Extracts current slice from a project.
Complex to Real | Converts a complex image to a displayable real image type (Phase/Amplitude/Real/Imaginary).
Help | Opens an on-line help
About IWFR | Information about IWFR


Acquire Images... Menu

Opens the Through-Focus Acquisition Setup dialog where you can control image acquisition including a defocus step. When you press 'OK,' a series of images will be acquired automatically.

Note:

You may have to check an objective lens hysteresis which will affect an actual defocus value. It is advisable to establish a hysteresis loop and collect images along the same direction of the loop.

Through-Focus Acquisition Setup dialog

The components of the dialog are described below.

Component | Description
Control Tab | For information about the components of the Control tab, see Control Tab below.
Setup Tab | For information about the components of the Setup tab, see Setup Tab below.
OK | Closes the dialog and acquires the specified number of images according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Control Tab

Component | Description
Data Name | Acquired images will be identified with this name and an added sequential number.
Number of Images | Acquired number of images (positive number).
Focus Step | Defocus step between each image (in nm). The closest defocus DAC will be used, so the defocus step may not be exactly the same. The direction of defocus change will be specified by gDefocus Rangeh parameter in the Setup Tab.
Use A Fixed DAC Step | If checked, a fixed DAC close to the specified defocus step will be used.
Delay after Focus Change | Settling time after focus change (in sec)
Convert to Integer 2 Signed | Save an acquired image as Integer 2 Signed after converting from an Integer 4 Signed image. Use this option only when your image is known to be expressed as Integer 2 Signed. (Currently, an image will be acquired as Integer 4 Signed and requires a large memory space.)

Setup Tab

Component | Description
Folder | Acquired images will be saved into this folder, when 'Save Image to Disk' is selected. You can browse the folder directory.
Focus Step | Specifies a focus change in nm produced by a unit DAC change. This will be automatically specified, when you have Gatan's plug-in to measure this value.
Magnification | Image magnification (This will be read from your microscope, if possible.)
Defocus Range | Defocus range and direction of defocus can be selected from: Underfocus only/Overfocus only/Over to underfocus/Under to overfocus. The current defocus is the start defocus or the middle defocus of the Defocus Range depending on the range selection.


Setup Project Image from

If you have already acquired through-focus images, use this command to create a project image (stacked image) to be processed with IWFR command.

Archived Image...Submenu

A set of through-focus images can be selected by using the standard Open dialog below.

Image Setup dialog

The components of the dialog are described below.

Component | Description
Project Name | Choose a suitable name for the project
Start Defocus | Defocus value for first image in through focal series. Note: underfocus is negative.
Defocus step | Defocus step size between images. Be careful to make sure the sign is correct, depending on the order in which you have set up the images.
Acc Voltage | Accelerating voltage of the microscope.
Select Images | Opens a File Open dialog to select archived images.

File Open Dialog

This is a standard Open dialog, so you can browse a directory and select multiple image files. When you choose ''Raw data'' for Files of type, you can read a binary data. In this case, you have to specify the image size (Width and Height), and Data Type.

Image Stack...Submenu

When you have already stacked image, use this command to create a project image to be processed with IWFR command.

Setup Project from dialog

The components of the dialog are described below.

Component | Description
Project Name | Choose a suitable name for the project
Acc Voltage | Accelerating voltage of the microscope.
Start Defocus | Defocus value for first image in through focal series. Note: underfocus is negative.
Defocus step | Defocus step size between images. Be careful to make sure the sign is correct, depending on the order in which you have set up the images.
Use Images |
From | First image
To | Last image
Step | Step
Convert to Integer 2 Signed | Reduces memory requirement by converting the data type from Integer 4 Signed to Integer 2 Signed. Note: The original image should be within the rage of Integer 2 Signed.


Alignment... Menu

If the front image is a project image (stacked image), this command will align each image by translation using a cross-correlation.
This command brings up a dialogue box with two tabs for image alignment.

Note:

You can select an image area for alignment by placing a rectangular ROI on the image.

Alignment setup dialog

The components of the dialog are described below.

Component | Description
Alignment Tab | For information about the components of the Alignment tab, see Alignment Tab below.
Display Tab | For information about the components of the Display Tab, see Display Tab below.
OK | Closes the dialog and aligns the images according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Alignment Tab

The options in the Alignment... dialogue are described below.

Component | Description
Pixel Size | Linear size represented by one (square) pixel.
Reference Image | Select a slice number of a good image to start alignment using a cross-correlation.
Cross Correlation |
Mode | Cross-correlation mode will be selected from: Conventional: cross-correlation with normal amplitudes. Square Root Moduli: cross-correlation with square root amplitudes. Phase Only: cross-correlation with unit amplitudes (only phase will be retained). None: no alignment will be done.
Mask | Specifies the radius of a low-pass filter in Fourier space (relative to the Nyquist frequency) to reduce high-frequency noise.
Hanning Window | When checked, a Hanning Window will be applied for Fourier transforms used for cross-correlation calculations.
Peak Search box | Search conditions for the cross-correlation peak.
Size | Radius of the cross-correlation peak.
Threshold | Intensity below this level will be ignored when estimating a peak center.
Trend Subtract | If checked, a trend (slowly varying feature) is subtracted for alignment to enhance the image feature.
Show Common Area | If checked, the common areas for the all images are extracted and displayed as a new image stack.

Display tab

The options on the Display tab are described below:

Component | Description
Cross Correlation | Display cross correlation values between adjacent images.
Specimen Drift | Display specimen drift values relative to the reference image.
Cross Correlation Stack | Display 2D cross correlation maps between adjacent images.
Message level | Controls the amount of output messaging to the Results Window. (None/Normal/Detail)


IWFR...Menu

This command brings up a dialogue box with five tabs for IWFR processing.When you press 'OK,' the IWFR processing will start.

Note:

When the front project image is not calibrated, a dialog asking a calibration will appear.

IWFR dialog

The components of the dialog are described below.

Component | Description
Control Tab | For information about the components of the Control tab, see Control Tab below.
Optical Parameters Tab | For information about the components of the Optical Parameters tab, see Optical Parameters Tab below.
Use Images Tab | For information about the components of the Use Images tab, see Use Images Tab below.
Option Tab | For information about the components of the Option tab, see Option Tab below.
Display Tab | For information about the components of the Display tab, see Display Tab below.
OK | Closes the dialog and start IWFR iteration according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Control Tab

The options on the Control tab are described below.

Component | Description
Maximum Iteration Cycles | Maximum number of iterations for the IWFR method (integer).
Noise Control | Noise magnitude used in a Thikonov Filter
Check R-Factor Difference | Check to see whether iterations have converged using the R-factor.
Check Phase difference | Check for convergence by comparing phase at consecutive cycles.
Check SSE difference | Check to see whether iterations have converged using the SSE (sum-squared error).

Optical Parameter tab

The options on the Optical Parameter tab are described below.

Component | Description
Cs | Third order spherical aberration coefficient
Defocus Spread | Effective defocus spread arising as a result of temporal incoherence.
Beam Convergence | Beam convergence semi-angle due to finite source size.
Cutoff(Aperture) | Effective aperture of objective lens.

Use Images tab

Select a subset of the images in the project to perform the IWFR.

Option tab

Selection between Intensity and Amplitude to be used for the first IWFR cycle. Intensity will accelerate the IWFR iteration.

Display tab

The options on the Diaplay tab are described below.

Component | Description
Result Log | Display exit surface waves at all cycles
R-Factor | Displays progress of R-factor.
Phase | Displays progress of convergence in terms of the phase.
SSE | Displays progress of convergence in terms of the SSE.
Estimated Images | Display calculated image intensities at the final cycle.
CTF | Contrast transfer function of microscope.
Message level | Controls the amount of output messaging to the Results Window. (Minimum/Normal/Detail)


Minimum Amplitude WF ... Menu

This command finds a wave function with the minimum modulation (standard deviation) of image amplitude by propagating a complex (exit) wave function. This command may be used to find the wave function at the specimen exit surface, where the amplitude modulation will be minimum for a phase object.
This brings up the Minimum Amplitude WF dialogue box.

Minimum Amplitude WF dialogue

The components of the dialog are described below.

Component | Description
Control Tab | For information about the components of the Control tab, see Control Tab below.
Display Tab | For information about the components of the Display tab, see Display Tab below.
OK | Closes the dialog and calculates the minimum amplitude image according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Control Tab

The options on the Control tab are described below:

Component | Description
Start Defocus | Start defocus of the defocus range to be searched for a minimum amplitude.
Last Defocus | Last defocus of the defocus range to be searched for a minimum amplitude.
Defocus Step | Defocus step of the defocus range to be searched for a minimum amplitude.
Cutoff(Aperture) | Aperture radius in Fourier space (in 1/nm)

Display tab

The options on the Display tab are described below:

Component | Description
Result Log | Display complex wave functions at all defocuses.
Amplitude Std | Display standard deviation of amplitude of wave function from mean.
Phase Std | Display standard deviation of phase of wave function from 0.0.
Message level | Controls the amount of output messaging to the Results Window. (Minimum/Normal/Detail)


Aberration Corrector ... Menu

This command opens Aberration Corrector window (if not opened).?The aberration corrector becomes active, only when the Rectangle ROI is placed on the image. Aberration correction is applied on the fly to the image within the ROI. The same aberration will be applied to the whole image, when the Apply button is pressed.

Definition of the aberration coefficients: A pre-factor of 1/(n+1) is applied to the Modulus of n-th order aberration coefficient. For example, for the second order Coma (B2) the actual modulus is Modules/(2+1).

Aberration Corrector window

The components of the window are described below.

Component | Description
Rotation Tab | Rotational aberrations, namely defocus, and 3rd and fifth order spherical aberrations. See Rotation Tab below.
Basic Tab | Basic non-rotational aberrations, namely two-fold astigmatism, coma and three-fold astigmatism. See Basic Tab below.
3rd Tab | Third order (non-rotational) aberrations. See Basic Tab below how to adjust the parameters.
4th Tab | Forth order (non-rotational) aberrations. See Basic Tab below how to adjust the parameters.
5th Tab | Fifth order (non-rotational) aberrations. See Basic Tab below how to adjust the parameters.
Display | Selection the display mode from Imaginary/Real/Modulus/Log of Modulus/Phase.
PCTF Button | Phase Contrast Transfer Function (Imaginary part of the aberration function) will be displayed in a separate PCTF window. The image size will be specified in the Show PCTF dialog.
Apply | Aberration correction with the current selections will be applied to the whole image.

Rotation Tab

Rotational aberrations, namely defocus (C1), 3rd order spherical aberration (C3) and fifth order spherical aberration (C5) will be adjusted by a value shown in the Value box. You can input directly a number in the Value box, or up/down by a step in the Step box.

Basic Tab

Basic non-rotational aberrations, namely two-fold astigmatism (A1), coma (B2) and three-fold astigmatism (A2) will be adjusted by the Modulus and Angle. The Modulus will be specified directly in the Value box, or up/down by a step in the Step box. The Angle will be specified directly in the circle, or up/down by the arrows.


Simulate Images ... Menu

This command simulates through-focus images from an exit surface wave function for selected imaging parameters.
This brings up the Simulate Images dialog box.

Simulate Images dialogue

The components of the dialog are described below.

Component | Description
Control Tab | For information about the components of the Control tab, see Control Tab below.
Display Tab | For information about the components of the Display tab, see Display Tab below.
OK | Closes the dialog and simulates images according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Control Tab

The options on the Control tab are described below:

Component | Description
Cs | Third order spherical aberration coefficient
Start Defocus | Start defocus of the defocus range to be searched for a minimum amplitude.
Last Defocus | Last defocus of the defocus range to be searched for a minimum amplitude.
Defocus Step | Defocus step of the defocus range to be searched for a minimum amplitude.
Beam Convergence | Beam convergence semi-angle due to finite source size.
Cutoff(Aperture) | Effective aperture of objective lens.

Display tab

The options on the Display tab are described below:

Component | Description
Message level | Controls the amount of output messaging to the Results Window. (Minimum/Normal/Detail)


Utilities

The options in the Utilities menu are described below.

Component | Description
Replace Dud Pixels | A dialog requesting a tolerance will be opened, and bad (defective) pixel values determined within this tolerance will be replaced. This routine will work for the whole image or a selected image area.
Extract Images | Extracts component images from a project
Extract Current Slice | Extracts the slice image currently displayed.
Complex to Real | Converts a complex image to a displayable real image type (Phase/Amplitude/Real/Imaginary).


Figure 1

Figure 1. Schematic of the IWFR method. The numbers cross reference the description in the text. FT denotes Fourier transformation.